build:
	web-ext build --overwrite-dest
  
lint:
	web-ext lint

deploy_chrome:
	chrome-webstore-upload
  
deploy_firefox:
	web-ext sign --channel listed --amo-metadata metadata.json

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'